Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
Ipopt::TSymDependencyDetector Class Reference

Base class for all derived algorithms for detecting linearly dependent rows in the constraint Jacobian. More...

`#include <IpTSymDependencyDetector.hpp>`

Inheritance diagram for Ipopt::TSymDependencyDetector:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Has to be called to initialize and reset these objects. More...
virtual bool | DetermineDependentRows (Index n_rows, Index n_cols, Index n_jac_nz, Number *jac_c_vals, Index *jac_c_iRow, Index *jac_c_jCol, std::list< Index > &c_deps)
| Method determining the number of linearly dependent rows in the matrix and the indices of those rows. More...
Constructor/Destructor
| TSymDependencyDetector (TSymLinearSolver &tsym_linear_solver)
virtual | ~TSymDependencyDetector ()
Public Member Functions inherited from Ipopt::TDependencyDetector
| TDependencyDetector ()
virtual | ~TDependencyDetector ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| This must be called to make the options for this class known. More...

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| TSymDependencyDetector ()
| Default Constructor. More...
| TSymDependencyDetector (const TSymDependencyDetector &)
| Copy Constructor. More...
void | operator= (const TSymDependencyDetector &)
| Overloaded Equals Operator. More...

## Private Attributes
SmartPtr< const Journalist > | jnlst_
SmartPtr< TSymLinearSolver > | tsym_linear_solver_

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Base class for all derived algorithms for detecting linearly dependent rows in the constraint Jacobian.

Definition at line 20 of file IpTSymDependencyDetector.hpp.

## Constructor & Destructor Documentation

Ipopt::TSymDependencyDetector::TSymDependencyDetector | ( | TSymLinearSolver & | tsym_linear_solver | ) |

virtual Ipopt::TSymDependencyDetector::~TSymDependencyDetector | ( |  | ) |
| inline virtual

Definition at line 27 of file IpTSymDependencyDetector.hpp.

Ipopt::TSymDependencyDetector::TSymDependencyDetector | ( |  | ) |
| private

Default Constructor.

Ipopt::TSymDependencyDetector::TSymDependencyDetector | ( | const TSymDependencyDetector & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::TSymDependencyDetector::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Has to be called to initialize and reset these objects.

Implements Ipopt::TDependencyDetector.

virtual bool Ipopt::TSymDependencyDetector::DetermineDependentRows | ( | Index | n_rows,
|  | Index | n_cols,
|  | Index | n_jac_nz,
|  | Number * | jac_c_vals,
|  | Index * | jac_c_iRow,
|  | Index * | jac_c_jCol,
|  | std::list< Index > & | c_deps
| ) |  |
| virtual

Method determining the number of linearly dependent rows in the matrix and the indices of those rows.

We assume that the matrix is available in "Triplet" format (MA28 format), and that the arrays given to this method can be modified internally, i.e., they are not used by the calling program anymore after this call. This method returns false if there was a problem with the underlying linear solver.

Implements Ipopt::TDependencyDetector.

static void Ipopt::TSymDependencyDetector::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) |
| static

This must be called to make the options for this class known.

void Ipopt::TSymDependencyDetector::operator= | ( | const TSymDependencyDetector & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<const Journalist> Ipopt::TSymDependencyDetector::jnlst_
| private

Definition at line 73 of file IpTSymDependencyDetector.hpp.

SmartPtr<TSymLinearSolver> Ipopt::TSymDependencyDetector::tsym_linear_solver_
| private

Definition at line 75 of file IpTSymDependencyDetector.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/LinearSolvers/IpTSymDependencyDetector.hpp